package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 消息类型
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum MessageTypeEnum {
    /**
     *
     */

    MESSAGE_TYPE_ORDINARY_MESSAGE("0","普通消息"),
    MESSAGE_TYPE_ROB_MAINTENANCE("1","抢维修"),
    MESSAGE_TYPE_INSPECTION("2","巡检"),
    MESSAGE_TYPE_CONSTRUCTION_SITE("3","工地"),
    MESSAGE_TYPE_MAINTAIN("23","维护"),
    MESSAGE_TYPE_TROUBLE("4","隐患"),
    MESSAGE_TYPE_PIPELINE_REPAIR_ORDER("5","管网工单"),
    MESSAGE_TYPE_BUSINESS_WORK_ORDER("6","业务工单"),
    MESSAGE_TYPE_BASIC_DATA_PROCESSING("7","基础数据处理"),
    MESSAGE_TYPE_EVENT_MANAGE("8","基础数据处理"),
    MESSAGE_TYPE_FLOOD_SEASON("9","基础数据处理"),
    MESSAGE_TYPE_CAR_APPLY("24","用车申请"),
    MESSAGE_TYPE_REPORT("0001","上报"),
    MESSAGE_TYPE_AUDIT("0002","审核"),
    MESSAGE_TYPE_FILL_REPORT("124","app月运行记录填报上报"),
    ;
    
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;
}
